/**
  * File: InternalViewId.java
  * Content: part of the RMI specification of members with reliable multicast
  *          communications, based on the virtual synchronous model
  * Author: LuisM Pena
  * Date: 31th July 2000
  * Version: 0.80.00
  * Last change:
  *
  **/

package sensei.middleware.gms;

final public class InternalViewId implements java.io.Serializable
{
    public
    InternalViewId()
    {
    }

    public
    InternalViewId(int id,
                   int installing)
    {
        this.id = id;
        this.installing = installing;
    }

    public int id;
    public int installing;
}
