/**
  * File: View.java
  * Content: part of the RMI specification of members with reliable multicast
  *          communications, based on the virtual synchronous model
  * Author: LuisM Pena
  * Date: 31th July 2000
  * Version: 0.80.00
  * Last change:
  *
  **/

package sensei.middleware.gms;

final public class View implements java.io.Serializable
{
    public
    View()
    {
    }

    public
    View(int viewId,
         int[] members,
         int[] newMembers,
         int[] expulsedMembers)
    {
        this.viewId = viewId;
        this.members = members;
        this.newMembers = newMembers;
        this.expulsedMembers = expulsedMembers;
    }

    public int viewId;
    public int[] members;
    public int[] newMembers;
    public int[] expulsedMembers;
}
