@echo off
rem Sets the environment to use the CORBA debug versions of sensei (and examples)
rem    using the Orbacus version

call vars

if NOT EXIST %SENSEI_HOME%\lib\senseiCORBAdbg.jar goto error

set SENSEI_CLASSPATH=%SENSEI_HOME%\lib\senseiCORBAdbg.jar;%SENSEI_HOME%\lib\senseiExamplesCORBA.jar
set SENSEI_ORB_DEFS=-Dorg.omg.CORBA.ORBClass=com.ooc.CORBA.ORB -Dorg.omg.CORBA.ORBSingletonClass=com.ooc.CORBA.ORBSingleton
set SENSEI_MIDDLEWARE=corba

if "%ORBACUS_LIBRARY%"=="" goto end
set SENSEI_CLASSPATH=%SENSEI_CLASSPATH%;%ORBACUS_LIBRARY%
goto end

:error
echo Cannot find %SENSEI_HOME%\lib\senseiCORBAdbg.jar
echo Is SENSEI_HOME correctly updated in vars.bat?

:end
