/**
  * File: GroupMembershipNamingServiceBaseImpl.java
  * Content: Implementation of the GroupMembershipNamingService
  * Author: LuisM Pena
  * Date: 3nd December 2000
  * Version: 0.29.00
  * Last changes:
  *
  **/

package sensei.middleware.gmns;

/**
  * Implementation of the GroupMembershipNamingService
  **/
public abstract class GroupMembershipNamingServiceBaseImpl extends GroupMembershipNamingServicePOA
{
  public GroupMembershipNamingServiceBaseImpl() throws Exception
  {
    id = sensei.middleware.util.ORBcentral.getPOA().activate_object(this);
    thisGroupMembershipNamingService = GroupMembershipNamingServiceHelper.narrow
        (sensei.middleware.util.ORBcentral.getPOA().id_to_reference(id));
  }

  public void deactivate() throws Exception
  {
    synchronized (this)
    {
      if (thisGroupMembershipNamingService!=null)
        sensei.middleware.util.ORBcentral.getPOA().deactivate_object(id);
      thisGroupMembershipNamingService=null;
    }
  }

  public final GroupMembershipNamingService theGroupMembershipNamingService()
  {
    return thisGroupMembershipNamingService;
  }

  protected GroupMembershipNamingService thisGroupMembershipNamingService;
  byte[] id;
};
