/**
  * File: Consts.java
  * Content: Internal domain constants
  * Author: LuisM Pena
  * Date: 11th November 2000
  * Last change:
  * Version: 0.51.00
  *
  **/

package sensei.domains;

/**
  * Internal DOMAINS constants
  **/
public class Consts
{
  final public static String AREA = "DOMAINS";

  final static public int INVALID_MEMBER_ID = sensei.gms.Consts.INVALID_MEMBER_ID;
  final static public int MAX_STATIC_SUBGROUP_ID = sensei.middleware.domains.MAX_STATIC_SUBGROUP_ID.value;
  final static public int EVERY_SUBGROUP = sensei.middleware.domains.EVERY_SUBGROUP.value;
}
