/**
  * File: PropertiesAndChange.java
  * Content: Helper class containing just a set of properties and a boolean value to describe wether the
  *          properties are valid (they could bet set to length 0 and still be valid)
  * Author: LuisM Pena
  * Date: 25th August 2001
  * Version: 0.51.00
  * Last change:
  *
  *
  **/

package sensei.domains;

import sensei.middleware.domains.Property;

/**
  * Helper class containing just a set of properties and a boolean value to describe wether the
  * properties are valid (they could bet set to length 0 and still be valid)
  **/
class PropertiesAndChange
{
  public PropertiesAndChange(Property[] props, boolean valid)
  {
    Trace.code("PropertiesAndChange.java -> PropertiesAndChange ( Property [ ] props , boolean valid )");
    this.changed=valid;
    this.properties=props;
  }
  public Property[] properties;
  public boolean changed;
}
