/**
  * File: Consts.java
  * Content: Internal GMNS constants
  * Author: LuisM Pena
  * Date: 5th December 2000
  * Version: 0.29.00
  * Last change:
  *
  **/

package sensei.gmns;

import sensei.domains.DynamicSubgroupInfoImpl;

/**
  * Internal GMNS constants
  **/
public class Consts
{
  public static final int MAX_EXIT_DELAY = 3000; //max number of milliseconds to quit the GMNS
  public static final String AREA = "GMNS";
  public static final int MONITOR_SUBGROUP = 4738;
  public static final int MAP_SUBGROUP = 7488;
  public static final int CHECKER_SUBGROUP = 21921;
  public static final int INVALID_SUBGROUP = sensei.domains.Consts.EVERY_SUBGROUP;
  static final DynamicSubgroupInfoImpl noInfo = new DynamicSubgroupInfoImpl();
}
