/**
  * File: 		Checkpointable.java
  * Content: 	part of the RMI specification of sensei domains
  *           Defines the basic interface for state transfer
  * Author: 	LuisM Pena
  * Date: 		27th October 2001
  * Version:  0.51.00
  * Last change:
  *
  **/


package sensei.middleware.domains;

import sensei.middleware.gms.GroupMember;

import java.rmi.RemoteException;

/**
  * Defines the basic interface for state transfer
  */
public interface Checkpointable extends GroupMember
{
  public State getState() throws RemoteException;

  public void setState (State s) throws RemoteException;
}
