/**
  * File: 		MemberProperties.java
  * Content: 	part of the RMI specification of sensei domains
  *           Defines the structure associated to the properties of a member
  * Author: 	LuisM Pena
  * Date: 		27th October 2001
  * Version:  0.51.00
  * Last change:
  *
  **/


package sensei.middleware.domains;

final public class MemberProperties implements java.io.Serializable
{
    public
    MemberProperties()
    {
    }

    public
    MemberProperties(int member,
                     Property[] props)
    {
        this.member = member;
        this.props = props;
    }

    public int member;
    public Property[] props;
}
