/**
  * File: 		PropertiesDisabledException.java
  * Content: 	part of the RMI specification of sensei domains
  *           Exception thrown when the user handles properties without having enable them
  * Author: 	LuisM Pena
  * Date: 		27th October 2001
  * Version:  0.51.00
  * Last change:
  *
  **/


package sensei.middleware.domains;

import java.rmi.RemoteException;

final public class PropertiesDisabledException extends RemoteException
{
    public
    PropertiesDisabledException()
    {
        super();
    }

    public
    PropertiesDisabledException(String _reason)
    {
      super(_reason);
    }
}
