/**
  * File: 		SyncCastDomainMessageProcessedException.java
  * Content: 	part of the RMI specification of sensei domains
  *           Exception thrown after a invalid state on the member
  * Author: 	LuisM Pena
  * Date: 		27th October 2001
  * Version:  0.51.00
  * Last change:
  *
  **/


package sensei.middleware.domains;

import java.rmi.RemoteException;

final public class SyncCastDomainMessageProcessedException extends RemoteException
{
    public
    SyncCastDomainMessageProcessedException()
    {
        super();
    }

    public
    SyncCastDomainMessageProcessedException(String _reason)
    {
      super(_reason);
    }
}
